<?php

$_POST = json_decode(file_get_contents('php://input'), true);
	$cliente_id = $_POST['cliente_id'];
	
	/// VARIABLES DE SESION
    $idgym = $_SESSION['idg'];
    $id_sucursal = $_SESSION["sucursal"];
    
    $servername = "directoriofitness.com.mx";
    $db = "direct18_ProGymCloud";
    $username = "direct18";
    $password = "L4LL4v3M@3str@";
    
    //Iniciamos la conexi贸n con la base de datos
    //$db = "direct18_ProGymCloud";
    $db = $_SESSION['db'];
    $conn = new mysqli($servername,$username,$password, $db);
    mysqli_set_charset($conn, 'utf8');
    
    //Realizamos la consulta
    $consulta = "select id_tarjeta as '0',  nombre_propietario as '1', numero_tarjeta as '2' from suscripcion_openpay_tarjetas where id_cliente = '$cliente_id'";
	$result = mysqli_query($conn, $consulta);
	
	//Verificamos si se realiza la consulta.
	if ($result) {
    	$longitud = mysqli_num_rows($result);
    	
    	//Se verifica si hay registros en la consulta
    	if($longitud > 0){
    	    $data = array();
        	while($row = mysqli_fetch_assoc($result)){
        		$data[] = $row;
        	}
            echo json_encode($data);
        	
    	}else{
    	    //El error 202 ser谩 para decir que no tiene las keys asignadas
    	    echo json_encode(202);
    	    $respuesta = 202;
    	}
    }else{
        //El error 201 ser谩 para decir que hubo un error en la consulta
        echo json_encode(201);
        $respuesta = 201;
    }

    ?>